Name: gnome-encfs-manager
Version: 1.8.19
Release: 300.1
License: GPL-2+
Source: %{name}_%{version}.tar.xz
URL: http://www.libertyzero.com/GEncfsM
Group: System/GUI/GNOME
Summary: An easy to use manager and mounter for encfs stashes

Requires: encfs

BuildRequires: intltool gettext libtool vala
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gee-1.0)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(appindicator3-0.1)

%description
The Gnome Encfs Manager is a manager and mounter for encfs stashes. It features:
 
  * an easy and quick to use tray icon inspired by Cryptkeeper (AppIndicator is supported)
  * Gnome keyring support
  * per-stash configuration for all features
  * automatic mounting and unmounting, when a stash gets available / unavailable
    (e.g. when you insert a usb drive containing a configured stash)
  * an intuitive interface to create, configure and import stashes
  * automount-at-startup support

%prep
%setup

%build
./autogen.sh
./configure --prefix=/usr
make

%install
make DESTDIR=%{buildroot} install

%post
for icons in hicolor ubuntu-mono-light ubuntu-mono-dark Mint-X; do
  /bin/touch --no-create /usr/share/icons/$icons &> /dev/null || :
done

%postun
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas &> /dev/null || :
  for icons in hicolor ubuntu-mono-light ubuntu-mono-dark Mint-X; do
    /bin/touch --no-create /usr/share/icons/$icons &> /dev/null || :
    gtk-update-icon-cache /usr/share/icons/$icons &> /dev/null || :
  done
fi

%posttrans
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas &> /dev/null || :
for icons in hicolor ubuntu-mono-light ubuntu-mono-dark Mint-X; do
  gtk-update-icon-cache /usr/share/icons/$icons &> /dev/null || :
done

%files
%defattr(-,root,root,-)
/usr/bin/gnome-encfs-manager
/usr/share/applications/gnome-encfs-manager.desktop
/usr/share/glib-2.0/schemas/com.libertyzero.gnome-encfs-manager.gschema.xml
/usr/share/dbus-1/services/com.libertyzero.gnome-encfs-manager.service
/usr/share/gnome-encfs-manager

%dir /usr/share/icons
%dir /usr/share/icons/Mint-X
%dir /usr/share/icons/Mint-X/status
%dir /usr/share/icons/Mint-X/status/22
%dir /usr/share/icons/Mint-X/status/16
%dir /usr/share/icons/ubuntu-mono-light
%dir /usr/share/icons/ubuntu-mono-light/status
%dir /usr/share/icons/ubuntu-mono-light/status/22
%dir /usr/share/icons/hicolor
%dir /usr/share/icons/hicolor/16x16
%dir /usr/share/icons/hicolor/16x16/status
%dir /usr/share/icons/hicolor/scalable
%dir /usr/share/icons/hicolor/scalable/apps
%dir /usr/share/icons/hicolor/22x22
%dir /usr/share/icons/hicolor/22x22/status
%dir /usr/share/icons/ubuntu-mono-dark
%dir /usr/share/icons/ubuntu-mono-dark/status
%dir /usr/share/icons/ubuntu-mono-dark/status/22

/usr/share/icons/Mint-X/status/22/gnome-encfs-manager-panel.svg
/usr/share/icons/Mint-X/status/22/gnome-encfs-manager-panel-attention.svg
/usr/share/icons/Mint-X/status/16/gnome-encfs-manager-panel.svg
/usr/share/icons/Mint-X/status/16/gnome-encfs-manager-panel-attention.svg
/usr/share/icons/ubuntu-mono-light/status/22/gnome-encfs-manager-panel.svg
/usr/share/icons/ubuntu-mono-light/status/22/gnome-encfs-manager-panel-attention.svg
/usr/share/icons/hicolor/16x16/status/gnome-encfs-manager-panel.svg
/usr/share/icons/hicolor/16x16/status/gnome-encfs-manager-panel-attention.svg
/usr/share/icons/hicolor/scalable/apps/gnome-encfs-manager.svg
/usr/share/icons/hicolor/22x22/status/gnome-encfs-manager-panel.svg
/usr/share/icons/hicolor/22x22/status/gnome-encfs-manager-panel-attention.svg
/usr/share/icons/ubuntu-mono-dark/status/22/gnome-encfs-manager-panel.svg
/usr/share/icons/ubuntu-mono-dark/status/22/gnome-encfs-manager-panel-attention.svg

/usr/share/locale/pl/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/lt/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/ca@valencia/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/fr/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/it/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/ru/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/es/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/pt_BR/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/tr/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/de/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/sr/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/ca/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/ja/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/el/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/ar/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/nl/LC_MESSAGES/gnome-encfs-manager.mo
/usr/share/locale/gl/LC_MESSAGES/gnome-encfs-manager.mo

